ZBar::ImageScanner(3)

NAME
Barcode::ZBar::ImageScanner - scan images for bar codes

SYNOPSIS
    use Barcode::ZBar;

    my $scanner = Barcode::ZBar::ImageScanner->new();
    $scanner->parse_config('i25.disable');
    $scanner->scan_image($image);

DESCRIPTION
A Barcode::ZBar::ImageScanner is used to scan for bar codes in a Barcode::ZBar::Image.

REFERENCE

  Methods

new()
    Create a new bar code image scanner instance.

get_results()
    Return a list of Barcode::ZBar::Symbol results from the last scanned image.

scan_image([image])
    Scan a Barcode::ZBar::Image for bar codes. The image must be in the "Y800" format. If necessary, use "$image->convert("Y800")" to convert from other supported formats to Y800 before scanning.

enable_cache([enable])
    Enable the inter-image result consistency cache.

parse_config(configstr)
    Apply a decoder configuration setting. See the documentation for "zbarcam"/"zbarimg" for available configuration options.

recycle_image([image])
    Remove previously decoded results from a Barcode::ZBar::Image and recycle the associated memory.

SEE ALSO
Barcode::ZBar, Barcode::ZBar::Image, zbarimg(1), zbarcam(1)

http://zbar.sf.net

AUTHOR
Jeff Brown, <spadix@users.sourceforge.net>

COPYRIGHT AND LICENSE
Copyright 2008-2009 (c) Jeff Brown <spadix@users.sourceforge.net>

The ZBar Bar Code Reader is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.